%define real_name PingTunnel

Summary: Reliably tunnel TCP connections over ICMP packets
Name: ptunnel
Version: 0.72
Release: %mkrel 10
License: BSD
Group: Networking/Other
URL: http://www.cs.uit.no/~daniels/PingTunnel/index.html
Source: http://www.cs.uit.no/~daniels/PingTunnel/PingTunnel-%{version}.tar.gz
BuildRequires: pcap-devel

%description
Ping Tunnel is a tool for reliably tunneling TCP connections over ICMP echo
request and reply packets (commonly known as ping requests and replies). It
is useful for evading firewalls that, for whatever reason, prevent outgoing
TCP connections, but allow in- and outgoing ICMP packets. The tunnel works
by having a proxy run on a machine ping-able from the inside of the
firewall, with the client running on the local machine from which TCP access
is required.

%prep
%setup -q -n %{real_name}
find -type f -exec chmod 0644 {} \;

%build
%make_build

%install
%makeinstall mandir="%{buildroot}%{_mandir}/man8"

%files
%doc CHANGELOG LICENSE README web/
%doc %{_mandir}/man8/ptunnel.8*
%{_bindir}/ptunnel



%changelog
* Mon Mar 28 2022 umeabot <umeabot> 0.72-10.mga9
+ Revision: 1830963
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.72-9.mga8
+ Revision: 1516181
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.72-8.mga7
+ Revision: 1300399
- Mageia 7 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.72-7.mga6
+ Revision: 937622
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.72-6.mga6
+ Revision: 937169
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.72-5.mga5
+ Revision: 749178
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.72-4.mga5
+ Revision: 687829
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.72-3.mga4
+ Revision: 517720
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.72-2.mga3
+ Revision: 378290
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 06 2011 tv <tv> 0.72-1.mga2
+ Revision: 139677
- new release
+ pterjan <pterjan>
- imported package ptunnel


* Sat Aug 06 2011 Pascal Terjan <pterjan@mageia.org> 0.70-1.mga2
- Adapt to Mageia

* Wed Jan 21 2009 Dag Wieers <dag@wieers.com> - 0.70-1 - 7982/dag
- Updated to release 0.70.

* Fri May 27 2005 Dag Wieers <dag@wieers.com> - 0.61-1
- Updated to release 0.61.

* Sat Apr 30 2005 Dag Wieers <dag@wieers.com> - 0.60-1
- Updated to release 0.60.

* Mon Feb 21 2005 Dag Wieers <dag@wieers.com> - 0.55-1
- Updated to release 0.55.

* Sun Feb 06 2005 Dag Wieers <dag@wieers.com> - 0.54-1
- Updated to release 0.54.

* Mon Jan 03 2005 Dries Verachtert <dries@ulyssis.org> - 0.52-1
- Updated to release 0.52 (Makefile patch applied by author).

* Sun Jan 02 2005 Dries Verachtert <dries@ulyssis.org> - 0.51-1
- Initial package.
